/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.fallback;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.MicroCoreClient;
import feign.Request;

/**
 * @author 田平 create 2023-02-15 09:31:00
 */
public class MicroCoreClientFallback implements MicroCoreClient {
	@Override
	public Result<String> apiVersion() {
		return new Result<>("apiVersionFallback!");
	}

	@Override
	public Result<String> testFeignClient() {
		return new Result<>("testFeignClientFallback!");
	}

	@Override
	public Result<String> testFeignClientCustomTimeout(Request.Options options) {
		return new Result<>("testFeignClientFallback!");
	}

	@Override
	public Result<String> testBreaker() {
		return new Result<>("testBreakerFallback!");
	}

	@Override
	public Result<String> testTimeout() {
		return new Result<>("testTimeoutFallback!");
	}
}
